<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/home.css') }}">
    <title>Home Page</title>



        <script>
        // Function to refresh the page after a specific time interval
        function autoRefresh() {
            setTimeout(function() {
                location.reload();
            }, 5000); // Refresh every 5 seconds (adjust the value as needed)
        }

        // Call the autoRefresh function when the page loads
        window.onload = autoRefresh;
    </script>
</head>
<body>
    <div>
    <h1>Welcome, {{ username }}!</h1>
    <p>This is the home page.</p>
    <a href="/logout">Logout</a>
    </div>
    <div class="logo">
        <img src="https://pbs.twimg.com/profile_images/1590779623532646401/LkMaL17H_400x400.jpg" alt="Logo">
    </div>
    <div>
        <h1>Webhook Data:</h1>
        <div>
        <ul>
            {% for data in webhook_data %}
            <li>name: {{ data["name"] }}</li>
            <li>monitoredUrl: <a href="{{ data['monitoredUrl'] }}">{{ data["monitoredUrl"] }}</a></li>
            <li>detected_change: <a href="{{ data['diff_data']}}">{{ data["diff_data"] }}</a></li>
            <li>date: {{ data["date"] }} </li>
            <hr>
            {% endfor %}
        </ul>
        </div>

    </div>
</body>
</html>